/*
 * $Id: actor.d,v 1.1.1.1 2006/11/19 07:54:55 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.util;

import javax.media.opengl.GL;

//private import std.stdarg;

/**
 * Actor that has an interface to move and draw.
 */
public abstract class Actor {
	protected boolean _exists;

	public boolean exists() {
		return _exists;
	}

	public boolean exists(boolean v) {
		return _exists = v;
	}

	public abstract void init(Object[] args);
	public abstract void move();
	public abstract void draw(GL gl);

}
