/*
 * $Id: math.d,v 1.1.1.1 2006/11/19 07:54:55 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.util;

/**
 * Math utility methods.
 */
public class MathUtil {
	public static double normalizeDeg(double d) {
		double rd = d;
		if (rd < -java.lang.Math.PI)
			rd = java.lang.Math.PI * 2 - (-rd % (java.lang.Math.PI * 2));
		return (rd + java.lang.Math.PI) % (java.lang.Math.PI * 2) - java.lang.Math.PI;
	}

	public static float normalizeDeg360(float d) {
		float rd = d;
		if (rd < -180)
			return 360 - (-rd % 360);
		return (rd + 180) % 360 - 180;
	}
}
