/*
 * $Id: tokenizer.d,v 1.1.1.1 2006/11/19 07:54:55 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.util;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;

//private import std.stream;
//private import std.string;

/**
 * Tokenizer.
 */
public class Tokenizer {
	public static ArrayList<String> readFile(String fileName, String separator) throws IOException {
		ArrayList<String> result = new ArrayList<String>();
		BufferedReader fd = new BufferedReader(new InputStreamReader(new FileInputStream(fileName)));

		for (;;) {
			String line = fd.readLine();
			if (line == null)
				break;
			String[] spl = line.split(separator);
			for (int i = 0; i < spl.length; i++) {
				String s = spl[i];
				String r = s.replaceFirst("^[ \t]+", "");
				if (r.length() > 0)
					result.add(r);
			}
		}
		fd.close();
		return result;
	}
}
