package abagames.util.sdl;

import java.applet.Applet;
import java.applet.AudioClip;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;

/**
 * Music.
 */
public class Music { 
	public static int fadeOutSpeed = 1280;
	public static String dir = "sounds/musics";
//	private Mix_Music* music;
	private AudioClip music;

	private static ArrayList<Music> plaings = new ArrayList<Music>();
	
	public void load(String name) {
		if (Sound.noSound)
			return;
//		char[] fileName = dir ~ "/" ~ name;
//		music = Mix_LoadMUS(std.string.toStringz(fileName));
//		if (!music) {
//		Sound.noSound = true;
//		throw new SDLException("Couldn't load: " ~ fileName ~ 
//		" (" ~ std.string.toString(Mix_GetError()) ~ ")");
//		}
		try {
			music = Applet.newAudioClip(new URL(Sound.codeBase + "/" + dir + "/" + name));
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
	}

	public void free() {
		if (music != null) {
			music.stop();
			music = null;
		}
//		if (music) {
//		halt();
//		Mix_FreeMusic(music);
//		}
	}

	public void play() {
		if (music != null) {
			plaings.add(this);
			music.loop();
		}
//		if (Sound.noSound)
//		return;
//		Mix_PlayMusic(music, -1);
	}

	public void playOnce() {
		if (music != null) {
			plaings.add(this);
			music.play();
		}
//		if (Sound.noSound)
//		return;
//		Mix_PlayMusic(music, 1);
	}

	public static void fade() {
		for (Music music : plaings) {
			if (music.music != null)
				music.music.stop();
		}
		plaings.clear();
//		if (Sound.noSound)
//		return;
//		Mix_FadeOutMusic(fadeOutSpeed);
	}

	public static void halt() {
		for (Music music : plaings) {
			if (music.music != null)
				music.music.stop();
		}
		plaings.clear();
//		if (Sound.noSound)
//		return;
//		if (Mix_PlayingMusic())
//		Mix_HaltMusic();
	}
}