/*
 * $Id: preference.d,v 1.1.1.1 2006/11/19 07:54:55 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.ttn;

/**
 * Load/Save/Record a high score table.
 */
public class Preference implements abagames.util.Preference {
	public static final int RANKING_NUM = 10;
	static final int VERSION_NUM = 10;
	static final String PREF_FILE_NAME = "ttn.prf";
	int[] _highScore = new int[RANKING_NUM];

	public void load() {
//		DataInputStream fd = null;
//		try {
//			fd = new DataInputStream(new FileInputStream(PREF_FILE_NAME));
//			int ver;
//			ver = fd.readInt();
//			if (ver != VERSION_NUM)
//				throw new Exception("Wrong version num");
//			for(int i = 0; i < RANKING_NUM; i++)
//				_highScore[i] = fd.readInt();
//		} catch (Exception e) {
//			init();
//		} finally {
//			try {
//				if (fd != null)
//					fd.close();
//			} catch (IOException e) {
//				e.printStackTrace();
//			}
//		}
		init();
  }

	private void init() {
		for(int i = 0; i < RANKING_NUM; i++)
			_highScore[i] = (10 - i) * 10000;
	}

	public void save() {
//		DataOutputStream fd = null;
//		try {
//			fd = new DataOutputStream(new FileOutputStream(PREF_FILE_NAME));
//			fd.writeInt(VERSION_NUM);
//			for(int i = 0; i < RANKING_NUM; i++)
//				fd.writeInt(_highScore[i]);
//		} catch (FileNotFoundException e) {
//			e.printStackTrace();
//		} catch (IOException e) {
//			e.printStackTrace();
//		} finally {
//			try {
//				if (fd != null)
//					fd.close();
//			} catch (IOException e) {
//				e.printStackTrace();
//			}
//		}
	}

	public void recordResult(int score) {
		for(int i = 0; i < RANKING_NUM; i++) {
			if (score > _highScore[i]) {
				for (int j = RANKING_NUM - 1; j >= i + 1; j--) {
					_highScore[j] = _highScore[j - 1];
				}
				_highScore[i] = score;
				return;
			}
		}
	}

	public int[] highScore() {
		return _highScore;
	}
}
