/*
 * $Id: iterator.d,v 1.1.1.1 2006/11/19 07:54:55 kenta Exp $
 *
 * Copyright 2004 Kenta Cho. Some rights reserved.
 */
package abagames.util;

import java.util.Iterator;
import java.util.NoSuchElementException;

/**
 * Simple iterator for an array.
 */
public class ArrayIterator<T> implements Iterator<T> {
	protected T[] array;
	protected int idx;

	public ArrayIterator(T[] a) {
		array = a;
		idx = 0;
	}

	public boolean hasNext() {
		if (idx >= array.length)
			return false;
		else
			return true;
	}

	public T next() {
		if (idx >= array.length)
			throw new NoSuchElementException("No more items");
		T result = array[idx];
		idx++;
		return result;
	}

	public void remove() {
		// TODO ꂽ\bhEX^u
		
	}
}
//public class NoMoreItemsException: Exception {
//  public this(char[] msg) {
//    super(msg);
//  }
//}
