/*
 * $Id: logger.d,v 1.1.1.1 2006/11/19 07:54:55 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.util;

import javax.swing.JOptionPane;

/**
 * Logger for error and info messages.
 */
public class Logger {

//	public static void info(char[] msg, bool nline = true) {
	public static void info(String msg) {
		info(msg, true);
	}
	public static void info(String msg, boolean nline) {
	}
	
//	public static void info(double n, bool nline = true) {
	public static void info(double n) {
		info(n, true);
	}
	public static void info(double n, boolean nline) {
	}
	
	private static void putMessage(String msg) {
		JOptionPane.showMessageDialog(null, msg, "Error", JOptionPane.ERROR_MESSAGE);
	}
	
	public static void error(String msg) {
		putMessage("Error: " + msg);
	}
	
	public static void error(Exception e) {
		putMessage("Error: " + e.toString());
	}
	
	public static void error(Error e) {
		putMessage("Error: " + e.toString());
	}
}
