/*
 * $Id: sound.d,v 1.1.1.1 2006/11/19 07:54:55 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.util.sdl;

import java.applet.Applet;
import java.applet.AudioClip;
import java.net.MalformedURLException;
import java.net.URL;

//private import std.string;
//private import SDL;
//private import SDL_mixer;
//private import abagames.util.sdl.sdlexception;

/**
 * Initialize and close SDL_mixer.
 */
public class Sound {
	public static boolean noSound = false;
	public static String codeBase;

	public static void init() {
		if (noSound)
			return;
//		int audio_rate;
//		Uint16 audio_format;
//		int audio_channels;
//		int audio_buffers;
//		if (SDL_InitSubSystem(SDL_INIT_AUDIO) < 0) {
//			noSound = true;
//			throw new SDLInitFailedException
//			("Unable to initialize SDL_AUDIO: " ~ std.string.toString(SDL_GetError()));
//		}
//		audio_rate = 44100;
//		audio_format = AUDIO_S16;
//		audio_channels = 1;
//		audio_buffers = 4096;
//		if (Mix_OpenAudio(audio_rate, audio_format, audio_channels, audio_buffers) < 0) {
//			noSound = true;
//			throw new SDLInitFailedException
//			("Couldn't open audio: " ~ std.string.toString(SDL_GetError()));
//		}
//		Mix_QuerySpec(&audio_rate, &audio_format, &audio_channels);
	}

	public static void close() {
		if (noSound)
			return;
//		if (Mix_PlayingMusic())
//			Mix_HaltMusic();
//		Mix_CloseAudio();
	}


	/**
	 * Sound chunk.
	 */
	public static class Chunk {
		public static String dir = "sounds/chunks";
//		private Mix_Chunk* chunk;
		int chunkChannel;
		AudioClip chunk;

		public void load(String name, int ch) {
			if (Sound.noSound)
				return;
			try { 
				System.out.println(codeBase + dir + name);
				chunk = Applet.newAudioClip(new URL(codeBase + "/" + dir + "/" + name));
			} catch (MalformedURLException e) {
				e.printStackTrace();
			}
//			char[] fileName = dir ~ "/" ~ name;
//			chunk = Mix_LoadWAV(std.string.toStringz(fileName));
//			if (!chunk) {
//				Sound.noSound = true;
//				throw new SDLException("Couldn't load: " ~ fileName ~ 
//						" (" ~ std.string.toString(Mix_GetError()) ~ ")");
//			}
			chunkChannel = ch;
		}

		public void free() {
			if (chunk != null) {
				chunk.stop();
				chunk = null;
			}
				
//			if (chunk) {
//				halt();
//				Mix_FreeChunk(chunk);
//			}
		}

		public void play() {
			if (Sound.noSound)
				return;
			if (chunk != null)
				chunk.play();
//			if (Sound.noSound)
//				return;
//			Mix_PlayChannel(chunkChannel, chunk, 0);
		}

		public void halt() {
			if (Sound.noSound)
				return;
			if (chunk != null)
				chunk.stop();
//			if (Sound.noSound)
//				return;
//			Mix_HaltChannel(chunkChannel);
		}
	}

}